package com.casic.missiles.modular.dept.dto;

import java.io.Serializable;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * VIEW
 * </p>
 *
 * @author zhangyingjie123
 * @since 2020-05-07
 */
public class DeptUserView {

    /**
     * 主键id
     */
    private Long id;
    /**
     * 父部门id
     */
    private Long pid;
    /**
     * 父级部门名称
     */
    private String pName;
    /**
     * 父级ids
     */
    private String pids;
    /**
     * 简称
     */
    private String simplename;
    /**
     * 全称
     */
    private String fullname;
    /**
     * 版本（乐观锁保留字段）
     */
    private Integer version;
    /**
     * 排序
     */
    private Integer num;
    /**
     * 提示
     */
    private String tips;
    /**
     * 责任人用户ID
     */
    private Long user;
    /**
     * 名字
     */
    private String userName;
    /**
     * 电话
     */
    private String phone;




    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }



    public String getpName() {
        return pName;
    }

    public void setpName(String pName) {
        this.pName = pName;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public String getPids() {
        return pids;
    }

    public void setPids(String pids) {
        this.pids = pids;
    }

    public String getSimplename() {
        return simplename;
    }

    public void setSimplename(String simplename) {
        this.simplename = simplename;
    }

    public String getFullname() {
        return fullname;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    public Long getUser() {
        return user;
    }

    public void setUser(Long user) {
        this.user = user;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }


    @Override
    public String toString() {
        return "DeptUserView{" +
                "id=" + id +
                ", pid=" + pid +
                ", pids=" + pids +
                ", simplename=" + simplename +
                ", fullname=" + fullname +
                ", version=" + version +
                ", num=" + num +
                ", tips=" + tips +
                ", user=" + user +
                ", userName=" + userName +
                ", phone=" + phone +
                "}";
    }
}